AMWebApp (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.webapp, class: AMWebApp

Package org.apache.hadoop.mapreduce.v2.app.webapp

# Class AMWebApp

java.lang.Object
com.google.inject.AbstractModule
com.google.inject.servlet.ServletModule
org.apache.hadoop.yarn.webapp.WebApp
org.apache.hadoop.mapreduce.v2.app.webapp.AMWebApp

All Implemented Interfaces:
  `com.google.inject.Module`, `AMParams`

public class AMWebApp extends org.apache.hadoop.yarn.webapp.WebApp implements AMParams
Application master webapp

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.yarn.webapp.WebApp

  `org.apache.hadoop.yarn.webapp.WebApp.HTTP`

  ## Nested classes/interfaces inherited from class com.google.inject.servlet.ServletModule

  `com.google.inject.servlet.ServletModule.FilterKeyBindingBuilder, com.google.inject.servlet.ServletModule.ServletKeyBindingBuilder`

- ## Field Summary

  ### Fields inherited from interface org.apache.hadoop.mapreduce.v2.app.webapp.AMParams

  `APP_ID, ATTEMPT_STATE, COUNTER_GROUP, COUNTER_NAME, JOB_ID, RM_WEB, TASK_ID, TASK_STATE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AMWebApp(AppContext appContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<? extends javax.servlet.Filter>`
  `getWebAppFilterClass()`
  `void`
  `setup()`

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.WebApp

  `conf, configureServlets, configureWebAppServlets, getHttpServer, getListenerAddress, getRedirectPath, getServePathSpecs, httpServer, joinThread, name, port, route, route, route, routeWithoutDefaultView, stop, wsName`

  ### Methods inherited from class com.google.inject.servlet.ServletModule

  `configure, filter, filter, filterRegex, filterRegex, getServletContext, serve, serve, serveRegex, serveRegex`

  ### Methods inherited from class com.google.inject.AbstractModule

  `addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AMWebApp

    public AMWebApp(AppContext appContext)

- ## Method Details

  - ### setup

    public void setup()
    Specified by:
      `setup` in class `org.apache.hadoop.yarn.webapp.WebApp`

  - ### getWebAppFilterClass

    protected Class<? extends javax.servlet.Filter> getWebAppFilterClass()
    Overrides:
      `getWebAppFilterClass` in class `org.apache.hadoop.yarn.webapp.WebApp`